package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 分包单位班组对象 pro_project_info_subdepts_group
 * 
 * @author JiangYuqi
 * @date 2024-08-25
 */
public class ProProjectInfoSubdeptsGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 公司主键 */
    private Long comId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String comName;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 分包单位 */
    @Excel(name = "分包单位")
    private Long subDeptId;

    /** 单位类型 */
    @Excel(name = "单位类型")
    private String subDeptType;

    /** 分包单位名称 */
    @Excel(name = "分包单位名称")
    private String subDeptName;

    /** 分包单位编号 */
    @Excel(name = "分包单位编号")
    private String subDeptCode;

    /** 班组名称 */
    @Excel(name = "班组名称")
    private String groupName;

    /** 班组编号 */
    @Excel(name = "班组编号")
    private String groupCode;

    /** 工种类型 */
    @Excel(name = "工种类型")
    private String craftType;

    /** 工种岗位 */
    @Excel(name = "工种岗位")
    private String craftPost;

    /** 负责人姓名 */
    @Excel(name = "负责人姓名")
    private String groupLeaderName;

    /** 负责人证件号码 */
    @Excel(name = "负责人证件号码")
    private String groupLeaderCode;

    /** 负责人电话 */
    @Excel(name = "负责人电话")
    private String groupLeaderPhone;

    /** 进场状态 */
    @Excel(name = "进场状态")
    private String useStatus;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;

    /** 二维码 */
    @Excel(name = "二维码")
    private String qrCode;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    /** 委托人正面照片 */
    private String groupLeaderCardImgPos;
    /** 委托人反面照片 */
    private String groupLeaderCardImgInv;
    /** 委托人半身照片 */
    private String groupLeaderUserPicture;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getComId() {
        return comId;
    }

    public void setComId(Long comId) {
        this.comId = comId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setSubDeptId(Long subDeptId) 
    {
        this.subDeptId = subDeptId;
    }

    public Long getSubDeptId() 
    {
        return subDeptId;
    }
    public void setSubDeptType(String subDeptType) 
    {
        this.subDeptType = subDeptType;
    }

    public String getSubDeptType() 
    {
        return subDeptType;
    }
    public void setSubDeptName(String subDeptName) 
    {
        this.subDeptName = subDeptName;
    }

    public String getSubDeptName() 
    {
        return subDeptName;
    }
    public void setSubDeptCode(String subDeptCode) 
    {
        this.subDeptCode = subDeptCode;
    }

    public String getSubDeptCode() 
    {
        return subDeptCode;
    }
    public void setGroupName(String groupName) 
    {
        this.groupName = groupName;
    }

    public String getGroupName() 
    {
        return groupName;
    }
    public void setGroupCode(String groupCode) 
    {
        this.groupCode = groupCode;
    }

    public String getGroupCode() 
    {
        return groupCode;
    }
    public void setCraftType(String craftType) 
    {
        this.craftType = craftType;
    }

    public String getCraftType() 
    {
        return craftType;
    }
    public void setCraftPost(String craftPost) 
    {
        this.craftPost = craftPost;
    }

    public String getCraftPost() 
    {
        return craftPost;
    }
    public void setGroupLeaderName(String groupLeaderName) 
    {
        this.groupLeaderName = groupLeaderName;
    }

    public String getGroupLeaderName() 
    {
        return groupLeaderName;
    }
    public void setGroupLeaderCode(String groupLeaderCode) 
    {
        this.groupLeaderCode = groupLeaderCode;
    }

    public String getGroupLeaderCode() 
    {
        return groupLeaderCode;
    }
    public void setGroupLeaderPhone(String groupLeaderPhone) 
    {
        this.groupLeaderPhone = groupLeaderPhone;
    }

    public String getGroupLeaderPhone() 
    {
        return groupLeaderPhone;
    }
    public void setUseStatus(String useStatus) 
    {
        this.useStatus = useStatus;
    }

    public String getUseStatus() 
    {
        return useStatus;
    }
    public void setApproveStatus(Long approveStatus) 
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus() 
    {
        return approveStatus;
    }
    public void setQrCode(String qrCode) 
    {
        this.qrCode = qrCode;
    }

    public String getQrCode() 
    {
        return qrCode;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getGroupLeaderCardImgPos() {
        return groupLeaderCardImgPos;
    }

    public void setGroupLeaderCardImgPos(String groupLeaderCardImgPos) {
        this.groupLeaderCardImgPos = groupLeaderCardImgPos;
    }

    public String getGroupLeaderCardImgInv() {
        return groupLeaderCardImgInv;
    }

    public void setGroupLeaderCardImgInv(String groupLeaderCardImgInv) {
        this.groupLeaderCardImgInv = groupLeaderCardImgInv;
    }

    public String getGroupLeaderUserPicture() {
        return groupLeaderUserPicture;
    }

    public void setGroupLeaderUserPicture(String groupLeaderUserPicture) {
        this.groupLeaderUserPicture = groupLeaderUserPicture;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("subDeptId", getSubDeptId())
            .append("subDeptType", getSubDeptType())
            .append("subDeptName", getSubDeptName())
            .append("subDeptCode", getSubDeptCode())
            .append("groupName", getGroupName())
            .append("groupCode", getGroupCode())
            .append("craftType", getCraftType())
            .append("craftPost", getCraftPost())
            .append("groupLeaderName", getGroupLeaderName())
            .append("groupLeaderCode", getGroupLeaderCode())
            .append("groupLeaderPhone", getGroupLeaderPhone())
            .append("useStatus", getUseStatus())
            .append("approveStatus", getApproveStatus())
            .append("qrCode", getQrCode())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
